import { App } from 'vue';
import { ComponentsConfig, setConfig } from './config';
import { setEnumMap } from './enum';
interface PluginOption {
    components?: Partial<ComponentsConfig>;
    enumMapper?: Record<string, Record<string, string>>;
}
export const FormBuilderPlugin = {
    install: (app: App, options: PluginOption) => {
        Object.entries(options.components ?? {}).forEach(([key, value]) => {
            setConfig(key as keyof ComponentsConfig, value);
        });
        Object.entries(options.enumMapper ?? {}).forEach(([key, value]) => {
            setEnumMap(key, value);
        });
    },
};
