type ExtractSetupProps<T> = T extends { setup?(props: infer P, ...rest: any[]): any } ? (P extends any ? P : never) : never;

type ExtractConstructedProps<T> = T extends { new (...args: any[]): { $props: infer X } }
    ? X extends Record<string, any>
        ? X
        : never
    : never;

export type PublicPropsOf<T> = Pick<ExtractConstructedProps<T>, keyof ExtractSetupProps<T>>;
